cURL
curl --request GET \
--url https://api.buildpass.global/builders/{builderId}/meetings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.buildpass.global/builders/{builderId}/meetings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.buildpass.global/builders/{builderId}/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "extapitoolboxmeeting01",
"builderId": "buil_clgbsb90b001qjy0f0eo1hspp",
"projectId": "proj_clgbsb90b001qjy0f0eo1hscp",
"projectName": "Downtown Mall Construction",
"projectTimezone": "Australia/Brisbane",
"title": "External API seeded meeting",
"name": "External API seeded meeting",
"meetingTitle": "External API seeded meeting",
"meetingTypeId": null,
"meetingTypeName": null,
"date": "2026-01-15T09:00:00.000Z",
"startAt": "2026-01-15T09:00:00.000Z",
"scheduledAt": "2026-01-15T09:00:00.000Z",
"status": "DISTRIBUTED",
"meetingStatus": "DISTRIBUTED",
"agenda": "External API integration test agenda",
"description": "Seeded meeting for External API integration tests",
"notes": "Seeded meeting for External API integration tests",
"updatedAt": "2026-01-15T09:00:00.000Z"
}
],
"meta": {
"totalCount": 100,
"totalPages": 4,
"offset": 0,
"limit": 25
}
}{
"errors": [
{
"fieldName": "name",
"message": "This field is required."
}
]
}Meetings
List meetings
List meetings for a builder
GET
/
builders
/
{builderId}
/
meetings
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Example:
"buil_clgbsb90b001qjy0f0eo1hspp"
Query Parameters
Filter meetings from this date-time
Example:
"2026-01-01T00:00:00.000Z"
Filter meetings until this date-time
Example:
"2026-01-31T23:59:59.999Z"
Filter by meeting status. Repeat the parameter for multiple values.
Available options:
DRAFT, DISTRIBUTED, COMPLETED, RUNNING The number of items to skip before starting to collect the result set
Example:
0
The number of items to return.
Required range:
x <= 25Example:
25
⌘I